.story-slider_dragging .story-slider__year,
.story-slider_dragging .story-slider__content-swiper {
  cursor: -webkit-grabbing;
  cursor: grabbing;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none; }

.story-slider__title {
  color: var(--text-dark-primary); }

.story-slider__current {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 3.75rem; }
  @media screen and (min-width: 160.0625rem) {
    .story-slider__current {
      gap: 2.34375vw; } }
  @media screen and (max-width: 85rem) {
    .story-slider__current {
      gap: 2.5rem; } }
  @media screen and (max-width: 39.375rem) {
    .story-slider__current {
      gap: 1.875rem; } }

.story-slider__wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  pointer-events: none; }

.story-slider__year {
  position: relative;
  padding-bottom: 3.75rem;
  width: 100%;
  height: 12.5rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 1.25rem;
  border-bottom: solid 1px var(--stroke-dark-secondary);
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  pointer-events: auto;
  -ms-touch-action: pan-y;
      touch-action: pan-y;
  cursor: -webkit-grab;
  cursor: grab; }
  @media screen and (min-width: 160.0625rem) {
    .story-slider__year {
      padding-bottom: 2.34375vw;
      height: 7.8125vw;
      gap: 0.78125vw;
      border-bottom-width: 0.03906vw; } }
  @media screen and (max-width: 106.25rem) {
    .story-slider__year {
      height: 15rem;
      padding-bottom: 0.9375rem; } }
  @media screen and (max-width: 85rem) {
    .story-slider__year {
      padding-bottom: 2.5rem;
      height: auto;
      gap: 0.625rem; } }
  @media screen and (max-width: 39.375rem) {
    .story-slider__year {
      padding-bottom: 2.1875rem;
      gap: 0.9375rem; } }

.story-slider__content-swiper {
  cursor: -webkit-grab;
  cursor: grab; }

.story-slider__index {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  color: var(--text-dark-primary);
  font: var(--font-body-L);
  font-weight: 500; }
  @media screen and (max-width: 106.25rem) {
    .story-slider__index {
      font: var(--font-h1); } }
  @media screen and (max-width: 39.375rem) {
    .story-slider__index {
      font: var(--font-h2); } }
  .story-slider__index_active {
    --before-opacity: 0;
    position: relative;
    width: 100%;
    color: var(--accent-light-primary);
    text-align: center;
    font-size: 12.5rem;
    font-style: normal;
    font-weight: 400;
    line-height: 0.75;
    letter-spacing: 0.375rem;
    text-transform: uppercase; }
    @media screen and (min-width: 160.0625rem) {
      .story-slider__index_active {
        font-size: 7.8125vw;
        letter-spacing: 0.23438vw; } }
    @media screen and (max-width: 106.25rem) {
      .story-slider__index_active {
        font-size: 9.375rem;
        letter-spacing: 0.28125rem;
        line-height: normal; } }
    @media screen and (max-width: 85rem) {
      .story-slider__index_active {
        font-size: 6.25rem;
        letter-spacing: 0.1875rem; } }
    @media screen and (max-width: 39.375rem) {
      .story-slider__index_active {
        font-size: 3.125rem;
        letter-spacing: 0.09375rem; } }
    .story-slider__index_active::before {
      content: attr(data-story-current);
      position: absolute;
      top: 120%;
      right: 0;
      left: 0;
      opacity: var(--before-opacity); }
  .story-slider__index_hidden {
    visibility: hidden; }

.story-slider__prev, .story-slider__next {
  position: absolute;
  top: 0;
  bottom: 3.75rem;
  margin: auto;
  pointer-events: all; }
  @media screen and (min-width: 160.0625rem) {
    .story-slider__prev, .story-slider__next {
      bottom: 2.34375vw; } }
  @media screen and (max-width: 106.25rem) {
    .story-slider__prev, .story-slider__next {
      bottom: 0.9375rem;
      width: 2.75rem;
      height: 2.75rem; } }
  @media screen and (max-width: 106.25rem) and (min-width: 160.0625rem) {
    .story-slider__prev, .story-slider__next {
      width: 1.71875vw;
      height: 1.71875vw; } }
  @media screen and (max-width: 106.25rem) {
      .story-slider__prev .button__icon, .story-slider__next .button__icon {
        width: 1.25rem;
        height: 1.25rem; } }
    @media screen and (max-width: 106.25rem) and (min-width: 160.0625rem) {
      .story-slider__prev .button__icon, .story-slider__next .button__icon {
        width: 0.78125vw;
        height: 0.78125vw; } }
  @media screen and (max-width: 85rem) {
    .story-slider__prev, .story-slider__next {
      bottom: 0;
      height: 100%;
      width: 50%;
      opacity: 0; } }

.story-slider__prev {
  left: 0; }

.story-slider__next {
  right: 0; }

.story-slider__pagination {
  z-index: 1;
  display: none;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 0.625rem;
  pointer-events: all; }
  @media screen and (min-width: 160.0625rem) {
    .story-slider__pagination {
      gap: 0.39062vw; } }
  @media screen and (max-width: 85rem) {
    .story-slider__pagination {
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex; } }

.story-slider__bullet {
  position: relative;
  display: block;
  width: 0.375rem;
  height: 0.375rem;
  background-color: var(--icon-dark-primary);
  border-radius: var(--radius-infinity);
  -webkit-transition: background-color var(--animation-timing) var(--cubic-bezier);
  transition: background-color var(--animation-timing) var(--cubic-bezier);
  cursor: pointer; }
  @media screen and (min-width: 160.0625rem) {
    .story-slider__bullet {
      width: 0.23438vw;
      height: 0.23438vw; } }
  @media (any-hover: hover) {
    .story-slider__bullet:hover {
      background-color: var(--accent-light-primary); } }
  .story-slider__bullet::before {
    content: "";
    position: absolute;
    top: -0.3125rem;
    left: -0.3125rem;
    width: calc(100% + 0.3125rem * 2);
    height: calc(100% + 0.3125rem * 2);
    background-color: transparent;
    opacity: 0; }
    @media screen and (min-width: 160.0625rem) {
      .story-slider__bullet::before {
        top: -0.19531vw;
        left: -0.19531vw;
        width: calc(100% + 0.19531vw * 2);
        height: calc(100% + 0.19531vw * 2); } }
  .story-slider__bullet_active {
    background-color: var(--icon-dark-secondary); }
    @media (any-hover: hover) {
      .story-slider__bullet_active:hover {
        background-color: var(--icon-dark-secondary); } }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
